	
	.include	"basic_vu.i"
	.include	"spad.i"

	.include	"demu.i"

 	--enter
	--endenter


;	set correct frame buffer 

	ilw	tmp,1023(vi00)x		; read fb0 from the tofr
	ibne	tmp,vi00,fb_nz

	lq.xy	fb,dml_fb1(vi00)
	lq.xy	tx,dml_tx0(vi00)
	b	done_fb		

fb_nz:

	lq.xy	fb,dml_fb0(vi00)
	lq.xy	tx,dml_tx1(vi00)

done_fb:

	sq.xy	fb,sp_BackBuffer(vi00)
	sq.xy	tx,sp_FrontTexture(vi00)
	

;	process pad button presses

	ilw	opad,sp_iConst0(vi00)w
	ilw	pad,1023(vi00)w

	iaddiu	one,vi00,1
	isub	pad,one,pad
	isub	opad,one,opad
	iand	opad,pad,opad

	isw.w	pad,sp_iConst0(vi00)
	isw.z	opad,sp_iConst0(vi00)

;	increment frame counter

	ilw	tmp,sp_iConst0(vi00)y
	iaddiu	tmp,tmp,1
	isw.y	tmp,sp_iConst0(vi00)

;	copy the float into fconst0

	lq.z	f,1023(vi0)
	add.x	f,vf00,f[z]
	sq.x	f,sp_fConst0(vi00)





	--exitm
	--endexit


